#!/bin/bash

GAMENAME=justin

# Cambia "%1" por el nombre de tu güego.
rm ../justin.tap
rm *.tap
echo "-----------------------------------"
echo "### REGENERANDO MAPA y SPRITES ###"
cd ../map
# cambia ANCHO y ALTO por los valores de tu mapa:
mapcnv mapa.map 14 3 15 10 15 packed
mv -vf mapa.h ../dev
cd ../dev
sprcnv ../gfx/sprites.png sprites.h
cp -vf ../gfx/loading.scr kgScreen.bin
wine ../utils/apack.exe ../gfx/title.scr title.bin
wine ../utils/apack.exe ../gfx/ending.scr ending.bin
echo "-----------------------------------"
echo "### COMPILANDO SCRIPT ###"
cd ../script
msc justin.spt msc.h 42
cp -vf *h ../dev
cd ../dev
echo "### COMPILANDO GUEGO ###"
zcc +zx -vn justin.c -o justin.bin -lndos -lsplib2 -zorg=24200
# cambia -sLOADER por el nombre que quieres que salga en Program:
bas2tap -a10 -skgJUSTIN loader.bas loader.tap
# wine ../utils/bin2tap.exe -o screen.tap -a 16384 loading.bin
bin2tap kgScreen.bin screen.tap 16384
# wine ../utils/bin2tap.exe -o main.tap -a 24200 justin.bin
bin2tap justin.bin main.tap 24200
cat loader.tap screen.tap main.tap > ../justin.tap
echo "### DONE ###"
TAMANO=`tzxlist main.tap | grep "Data length" | tail -1 | grep -o '[0-9]*'`
TOTAL=`expr $TAMANO + 24200`
ZXWEIGHT=`expr 60654 - $TOTAL`
echo "$TAMANO + 24200 = $TOTAL ( $ZXWEIGHT )"
